# liblog

Une lib de log simple d'utilisation nécéssitant gint.
L'utilisation est archi simple ! On envoie une chaine de caractères et c'est tout !

On peut si besoin afficher ce log en cas d'erreur, ou simplement pour consulter l'état d'éxécution du programme à un moment donné.

## Installation

Il vous suffit de vous placer dans ce dossier et taper dans un terminal
``` sh
make
make install || sudo make install
```

## Utilisation

### Configurer le projet

Dans le fichier project.cfg du projet, modifier la ligne suivante
``` sh
LDFLAGS =
```
Il suffit d'ajouter 2 nouveaux flags, comme ça
``` sh
LDFLAGS = -llog -lgint-fx
```

### Dans le code source

D'abord, il faut inclure le header de liblog
``` C
#include <liblog.h>
```

#### Écrire dans le log
``` C
ll_log("Votre message de débug");
```

#### Afficher le log

Afficher le log peut être utile pour le débug, notamment en cas d'exception.
Il suffira de taper la commande suivante :
``` C
ll_display();
// getkey(); si vous voulez mettre le programme en pause pour lire
```
